Subject: Re: bug#9578: make uninstall fails after make install-data in empty prefix.
From: Stefano Lattarini <[email-masked]>
To: [email-masked]
Cc: Nick Bowler <[email-masked]>, [email-masked], [email-masked]
Date: Mon, 26 Sep 2011 21:55:30 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Saturday 24 September 2011, Stefano Lattarini wrote:
> On Thursday 22 September 2011, Nick Bowler wrote:
> > Hello,
> >
> Hi Nick, thanks for the report.
> 
> > I noticed a problem testing the uninstall target of my
> > automake-generated Makefiles.  If the install prefix does not exist
> > before installation, automake will create the necessary directories.
> > But if you run a plain "make install-data" (without make install-exec),
> > the directories for executables are (unsurprisingly) not created.  The
> > problem is that "make uninstall" fails in this case:
> >
> I'm not yet sure whether this should be considered a bug or a feature...
> I'm inclined to agree with you that it's more of a bug though, so I'll
> push the attached patch to maint in a few days if nobody objects.  This
> change is not completely obvious, so any review would be appreciated.
> 
> Notice that the test coverage added by the patch is far from perfect, but
> I'd rather improve it in the `testsuite-work' branch only, so that I'll
> be able to use TAP and won't be forced to write 10 or so new "sister
> tests" instead.
>
> Thanks,
>    Stefano
> 

I've squashed in the following, and pushed.  I'm thus closing the bug
report.

Regards,
  Stefano

-*-*-*-

diff --git a/tests/uninstall-fail.test b/tests/uninstall-fail.test
index 6ba0eba..a3e7a7a 100755
--- a/tests/uninstall-fail.test
+++ b/tests/uninstall-fail.test
@@ -16,7 +16,7 @@
 
 # "make uninstall" complains and errors out on failures.
 
-# FIXME: this test only dealt with DATA primary; maybe we need sister
+# FIXME: this test only deal with DATA primary; maybe we need sister
 # tests for other primaries too?  E.g., SCRIPTS, PROGRAMS, LISP, PYTHON,
 # etc...
 
diff --git a/tests/uninstall-pr9578.test b/tests/uninstall-pr9578.test
index 3f67203..9aea52d 100755
--- a/tests/uninstall-pr9578.test
+++ b/tests/uninstall-pr9578.test
@@ -17,6 +17,10 @@
 # Check against automake bug#9578: "make uninstall" issued before
 # "make install" or after a mere "make install-data" or a mere
 # "make install-exec" failed spuriously.
+#
+# FIXME: this test only deal with DATA and script primaries; maybe we
+# need sister tests for other primaries too?  E.g., PROGRAMS, LISP,
+# PYTHON, etc...
 
 . ./defs || Exit 1